> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/crypto-stocks/market-cap.md).

# 4.3 Company Historical Market Cap

```
GET /crypto-stocks/{stock_ticker}/market-cap
```

**Path Parameters**

| Parameter | Type   | Required | Description  |
| --------- | ------ | -------- | ------------ |
| ticker    | string | Yes      | Stock ticker |

**Query Parameters**

| Parameter   | Type    | Required | Description         |
| ----------- | ------- | -------- | ------------------- |
| start\_date | string  | No       | Start date          |
| end\_date   | string  | No       | End date            |
| limit       | integer | No       | Default 50, max 100 |

**Response Example**

```json
{
    {
        "date": "2024-04-12",
        "market-cap": 14120000000
    }
}
```

Returns daily granularity data.

**Response Fields**

| Field      | Type   | Description                 |
| ---------- | ------ | --------------------------- |
| date       | Long   | Date (timestamp)            |
| market-cap | Number | Market capitalization (USD) |
